# eric6.Plugins.VcsPlugins.vcsMercurial.HgImportDialog

Module implementing a dialog to enter data for the Mercurial import command.

### Global Attributes

None

### Classes

HgImportDialog | Class implementing a dialog to enter data for the Mercurial import command.

### Functions

None

## HgImportDialog

Class implementing a dialog to enter data for the Mercurial import command.

### Derived from

QDialog, Ui_HgImportDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgImportDialog | Constructor
__updateOK | Private slot to update the OK button.
getParameters | Public method to retrieve the import data.
on_patchFileButton_clicked | Private slot called by pressing the file selection button.
on_patchFileEdit_textChanged | Private slot to react on changes of the patch file edit.

### Static Methods

None

#### HgImportDialog (Constructor)

HgImportDialog(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### HgImportDialog.__updateOK

__updateOK()

Private slot to update the OK button.

#### HgImportDialog.getParameters

getParameters()

Public method to retrieve the import data.

Returns:
  tuple naming the patch file, a flag indicating to not commit, a commit message, a commit date, a commit user, a strip count and a flag indicating to enforce the import (string, boolean, string, string, string, integer, boolean)

#### HgImportDialog.on_patchFileButton_clicked

on_patchFileButton_clicked()

Private slot called by pressing the file selection button.

#### HgImportDialog.on_patchFileEdit_textChanged

on_patchFileEdit_textChanged(txt)

Private slot to react on changes of the patch file edit.

txt
  contents of the line edit (string)

Up